clear
% Exempelanrop av Pantelides algoritm
% Modellen är en index~3 DAE som beskriver en 
% ideal pendel
%
% x' = w
% y' = z
% w' = Tx
% z' = Ty-g
% 0  = x^2+y^2-L^2
%
% Gör help pantelides för mer information
%
X = {{'x',0},{'y',0},{'w',0},{'z',0},{'x',1},{'y',1},{'w',1},{'z',1},{'T',0}};
G = [0 0 1 0 1 0 0 0 0;...
     0 0 0 1 0 1 0 0 0;...
     1 0 0 0 0 0 1 0 1;...
     0 1 0 0 0 0 0 1 1;...
     1 1 0 0 0 0 0 0 0];

results = pantelides(X,G);
