function [A,B,Graph,assign]=findMSS(Graph,A)


%Step 1: Initialization
[N,M] = size(Graph);
false = 0;

assign = zeros(1,M);
B = zeros(1,N);

%Step 2
Nprim = N;

%Step 3
for k=[1:Nprim]

    
    %Step 3a
    i=k;
    
    %Step 3b
    pathfound = false;
    while ~pathfound 
        
        %Step 3b-1
        G = Graph;
        G(:,find(A)) = zeros(N,length(find(A)));
    
        %Step 3b-2
        coloured_Vnodes = [];
        coloured_Enodes = [];
    
        %Step 3b-3
        %pathfound = false;
    
        %Step 3b-4
        [pathfound,coloured_Vnodes,coloured_Enodes,assign]=augmentpath(i,pathfound,coloured_Vnodes,coloured_Enodes,assign,G);
 
        %Step 3b-5
        if pathfound == false
        
            % (i)
            for j=coloured_Vnodes
                M=M+1;
                A=[A 0];
                Graph=[Graph zeros(N,1)];
                A(j)=M;
            end
        
            %(ii)
            for l=sort(coloured_Enodes)
                N=N+1;
                edges2Vnodes = [find(Graph(l,:)) A(find(Graph(l,:)))];
                newedges = sparse(ones(1,length(edges2Vnodes)),...
                    edges2Vnodes,ones(1,length(edges2Vnodes)),1,M);
                Graph=full([Graph;newedges]);
                B=[B 0];
                B(l)=N;
            end
        
            %(iii)
            for j=coloured_Vnodes
                assign(A(j))=B(assign(j));
            end
        
            %(iv)
            i=B(i);
            
            
        end
        
        
    %Step 3c
    end
    
%Step 4
end